Subject: Re: bug#24877: Feature request: let TeX-error-overview show warnings, but ignore them in TeX-next-error

From: Clément Pit--Claudel <[email-masked]>
Date: Sun, 6 Nov 2016 19:58:40 -0500

On 2016-11-06 18:20, Mosè Giordano wrote:
> Hi Clément,

Hi Mosè,

>> […] It could say "no errors or warning to show; try
>> customizing `…'"?
>
> That's a sensible suggestion, thanks.  Maybe we can conditionally
> add that suggestion when there are warnings/bad boxes.  I can do
> this, but not right now, probably tomorrow or in the next few days.
> Feel free to ping me here if I miss to do it this week.

Great, thanks!

>> Also, the error list has a menu that allows me to change what kind
>> of errors are displayed but it's useless here: AucTeX errors out
>> instead of showing an empty list when there's nothing to display)
> 
> Sorry, I don't get what you mean here.

I meant that AucTeX could show an empty list instead of raising an error when there's nothing to display.  Then I could use the menu bar in that window to enable display of warnings.

> I could agree on
> changing the defaults of `TeX-debug-warnings' and
> `TeX-debug-bad-boxes' (I do it in my init file),

Please don't :) It's convenient to be able to quickly jump to the next error.

> If instead you truly believe this is a good idea, please start a discussion at
> [email-masked] so that other people can participate, bug tracker is not
> a good place for this stuff.

Got it! I have limited bandwidth and advising TeX-errors-overview works for me, so I'll drop the issue :)

Clément.